import { Storage } from '@ionic/storage-angular';
export interface StorageCacheItem {
    key: string;
    value: any;
    expires: number;
    type: string;
    groupKey: string;
}
export declare class CacheStorageService {
    private storage;
    private keyPrefix;
    constructor(storage: Storage, keyPrefix: string);
    create(): Promise<Storage>;
    set(key: string, value: any): Promise<any>;
    remove(key: string): Promise<any>;
    get(key: string): Promise<any>;
    exists(key: string): Promise<boolean>;
    all(): Promise<StorageCacheItem[]>;
    /**
     * @description Returns whether or not an object is a cached item.
     * @return {boolean}
     */
    private isCachedItem;
    /**
     * Makes sure that the key is prefixed properly
     * @return {string}
     */
    private buildKey;
    /**
     * Makes sure that the key isn't prefixed
     * @return {string}
     */
    private debuildKey;
}
//# sourceMappingURL=cache-storage.d.ts.map